Bug 1723835 - [marketplace] Missing openapi CRD definitions for oc explain to work
Summary: [marketplace] Missing openapi CRD definitions for oc explain to work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: OLM
Version: 4.1.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: 4.2.0
Assignee: Alexander Greene
QA Contact: Fan Jia
URL:
Whiteboard:
Depends On: 1708503
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-06-25 13:58 UTC by Aravindh Puthiyaparambil
Modified: 2019-10-16 06:32 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: The CatalogSourceConfig(csc) and OperatorSource(opsrc) CRDs owned by marketplace did not include a description. Consequence: `oc explain csc` and `oc explain opsrc` would return empty descriptions. Fix: Add a description to the csc and opsrc CRDs. Result: `oc explain csc` and `oc explain opsrc` now include descriptions.
Clone Of: 1708503
Environment:
Last Closed: 2019-10-16 06:32:26 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2019:2922 None None None 2019-10-16 06:32:36 UTC

Comment 2 Fan Jia 2019-06-26 02:23:46 UTC
test env:
cv:4.2.0-0.nightly-2019-06-24-160709

test result:
#  oc explain csc|grep -i description -A 3
DESCRIPTION:
     CatalogSourceConfig is used to enable an operator present in the
     OperatorSource to your cluster. Behind the scenes, it will configure an OLM
     CatalogSource so that the operator can then be managed by OLM.
# oc explain operatorsource|grep -i description -A 3
DESCRIPTION:
     OperatorSource is used to define the external datastore we are using to
     store operator bundles.

Comment 3 errata-xmlrpc 2019-10-16 06:32:26 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:2922


Note You need to log in before you can comment on or make changes to this bug.